
''' <summary>
''' Provides information on the design-time state.
''' </summary>
''' <remarks></remarks>
Public NotInheritable Class Design

    ''' <summary>
    ''' Determines whether the AppDomain is currently in design mode.
    ''' </summary>
    ''' <returns>True if the AppDomain is in design mode; otherwise, false.</returns>
    ''' <remarks></remarks>
    Public Shared ReadOnly Property InDesignMode() As Boolean
        Get
            Return AppDomain.CurrentDomain.FriendlyName.Contains("DefaultDomain")
        End Get
    End Property

End Class